Subject: Re: [informatique] Re: bug#61748: 27.2; Eglot should use shell-file-name when launching the language server for a remote file

From: [email-masked]
Date: Tue, 28 Feb 2023 10:50:39 +0100 (CET)

> João Távora wrote:
>
> I don't know what counsel is or how it deals with this issue, but feel
> free to share any relevant code here.  Even though "make it work" hacks
> abound, Eglot promotes separation of responsibilities.  Being is core is
> great for figuring out exactly where fixes should go.  Eglot's business
> is LSP.  TRAMP accesses remote files.  Eglot knows close to nothing
> about TRAMP or how it does its file access job.  After all the 'T' in
> tramp stands for "transparent".
> 
I don't know much about counsel's internals (or Eglot's for that matter),
but this comment in the counsel-gtags code seems very relevant:

```
`process-lines' does not support Tramp because it uses `call-process'.  Using
`process-file' makes Tramp support auto-magical."
```
https://github.com/emacsmirror/counsel-gtags/blob/1d52eaeffeb60266434d4f7416a108ca058fde91/counsel-gtags.el#L337-L338

>From a quick grep it looks like Eglot uses `make-process`, which probably
suffers from the same limitations as `call-process` when it comes to Tramp
support.

Jérôme